/*
 * Copyright 2015-2017 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.fontawesome5;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum FontAwesomeSolid implements Ikon {
    ADDRESS_BOOK("fas-address-book", '\uf2b9'),
    ADDRESS_CARD("fas-address-card", '\uf2bb'),
    ADJUST("fas-adjust", '\uf042'),
    ALIGN_CENTER("fas-align-center", '\uf037'),
    ALIGN_JUSTIFY("fas-align-justify", '\uf039'),
    ALIGN_LEFT("fas-align-left", '\uf036'),
    ALIGN_RIGHT("fas-align-right", '\uf038'),
    AMBULANCE("fas-ambulance", '\uf0f9'),
    AMERICAN_SIGN_LANGUAGE_INTERPRETING("fas-american-sign-language-interpreting", '\uf2a3'),
    ANCHOR("fas-anchor", '\uf13d'),
    ANGLE_DOUBLE_DOWN("fas-angle-double-down", '\uf103'),
    ANGLE_DOUBLE_LEFT("fas-angle-double-left", '\uf100'),
    ANGLE_DOUBLE_RIGHT("fas-angle-double-right", '\uf101'),
    ANGLE_DOUBLE_UP("fas-angle-double-up", '\uf102'),
    ANGLE_DOWN("fas-angle-down", '\uf107'),
    ANGLE_LEFT("fas-angle-left", '\uf104'),
    ANGLE_RIGHT("fas-angle-right", '\uf105'),
    ANGLE_UP("fas-angle-up", '\uf106'),
    ARCHIVE("fas-archive", '\uf187'),
    ARROW_ALT_CIRCLE_DOWN("fas-arrow-alt-circle-down", '\uf358'),
    ARROW_ALT_CIRCLE_LEFT("fas-arrow-alt-circle-left", '\uf359'),
    ARROW_ALT_CIRCLE_RIGHT("fas-arrow-alt-circle-right", '\uf35a'),
    ARROW_ALT_CIRCLE_UP("fas-arrow-alt-circle-up", '\uf35b'),
    ARROW_CIRCLE_DOWN("fas-arrow-circle-down", '\uf0ab'),
    ARROW_CIRCLE_LEFT("fas-arrow-circle-left", '\uf0a8'),
    ARROW_CIRCLE_RIGHT("fas-arrow-circle-right", '\uf0a9'),
    ARROW_CIRCLE_UP("fas-arrow-circle-up", '\uf0aa'),
    ARROW_DOWN("fas-arrow-down", '\uf063'),
    ARROW_LEFT("fas-arrow-left", '\uf060'),
    ARROW_RIGHT("fas-arrow-right", '\uf061'),
    ARROW_UP("fas-arrow-up", '\uf062'),
    ARROWS_ALT("fas-arrows-alt", '\uf0b2'),
    ARROWS_ALT_H("fas-arrows-alt-h", '\uf337'),
    ARROWS_ALT_V("fas-arrows-alt-v", '\uf338'),
    ASSISTIVE_LISTENING_SYSTEMS("fas-assistive-listening-systems", '\uf2a2'),
    ASTERISK("fas-asterisk", '\uf069'),
    AT("fas-at", '\uf1fa'),
    AUDIO_DESCRIPTION("fas-audio-description", '\uf29e'),
    BACKWARD("fas-backward", '\uf04a'),
    BALANCE_SCALE("fas-balance-scale", '\uf24e'),
    BAN("fas-ban", '\uf05e'),
    BARCODE("fas-barcode", '\uf02a'),
    BARS("fas-bars", '\uf0c9'),
    BATH("fas-bath", '\uf2cd'),
    BATTERY_EMPTY("fas-battery-empty", '\uf244'),
    BATTERY_FULL("fas-battery-full", '\uf240'),
    BATTERY_HALF("fas-battery-half", '\uf242'),
    BATTERY_QUARTER("fas-battery-quarter", '\uf243'),
    BATTERY_THREE_QUARTERS("fas-battery-three-quarters", '\uf241'),
    BED("fas-bed", '\uf236'),
    BEER("fas-beer", '\uf0fc'),
    BELL("fas-bell", '\uf0f3'),
    BELL_SLASH("fas-bell-slash", '\uf1f6'),
    BICYCLE("fas-bicycle", '\uf206'),
    BINOCULARS("fas-binoculars", '\uf1e5'),
    BIRTHDAY_CAKE("fas-birthday-cake", '\uf1fd'),
    BLIND("fas-blind", '\uf29d'),
    BOLD("fas-bold", '\uf032'),
    BOLT("fas-bolt", '\uf0e7'),
    BOMB("fas-bomb", '\uf1e2'),
    BOOK("fas-book", '\uf02d'),
    BOOKMARK("fas-bookmark", '\uf02e'),
    BRAILLE("fas-braille", '\uf2a1'),
    BRIEFCASE("fas-briefcase", '\uf0b1'),
    BUG("fas-bug", '\uf188'),
    BUILDING("fas-building", '\uf1ad'),
    BULLHORN("fas-bullhorn", '\uf0a1'),
    BULLSEYE("fas-bullseye", '\uf140'),
    BUS("fas-bus", '\uf207'),
    CALCULATOR("fas-calculator", '\uf1ec'),
    CALENDAR("fas-calendar", '\uf133'),
    CALENDAR_ALT("fas-calendar-alt", '\uf073'),
    CALENDAR_CHECK("fas-calendar-check", '\uf274'),
    CALENDAR_MINUS("fas-calendar-minus", '\uf272'),
    CALENDAR_PLUS("fas-calendar-plus", '\uf271'),
    CALENDAR_TIMES("fas-calendar-times", '\uf273'),
    CAMERA("fas-camera", '\uf030'),
    CAMERA_RETRO("fas-camera-retro", '\uf083'),
    CAR("fas-car", '\uf1b9'),
    CARET_DOWN("fas-caret-down", '\uf0d7'),
    CARET_LEFT("fas-caret-left", '\uf0d9'),
    CARET_RIGHT("fas-caret-right", '\uf0da'),
    CARET_SQUARE_DOWN("fas-caret-square-down", '\uf150'),
    CARET_SQUARE_LEFT("fas-caret-square-left", '\uf191'),
    CARET_SQUARE_RIGHT("fas-caret-square-right", '\uf152'),
    CARET_SQUARE_UP("fas-caret-square-up", '\uf151'),
    CARET_UP("fas-caret-up", '\uf0d8'),
    CART_ARROW_DOWN("fas-cart-arrow-down", '\uf218'),
    CART_PLUS("fas-cart-plus", '\uf217'),
    CERTIFICATE("fas-certificate", '\uf0a3'),
    CHART_AREA("fas-chart-area", '\uf1fe'),
    CHART_BAR("fas-chart-bar", '\uf080'),
    CHART_LINE("fas-chart-line", '\uf201'),
    CHART_PIE("fas-chart-pie", '\uf200'),
    CHECK("fas-check", '\uf00c'),
    CHECK_CIRCLE("fas-check-circle", '\uf058'),
    CHECK_SQUARE("fas-check-square", '\uf14a'),
    CHEVRON_CIRCLE_DOWN("fas-chevron-circle-down", '\uf13a'),
    CHEVRON_CIRCLE_LEFT("fas-chevron-circle-left", '\uf137'),
    CHEVRON_CIRCLE_RIGHT("fas-chevron-circle-right", '\uf138'),
    CHEVRON_CIRCLE_UP("fas-chevron-circle-up", '\uf139'),
    CHEVRON_DOWN("fas-chevron-down", '\uf078'),
    CHEVRON_LEFT("fas-chevron-left", '\uf053'),
    CHEVRON_RIGHT("fas-chevron-right", '\uf054'),
    CHEVRON_UP("fas-chevron-up", '\uf077'),
    CHILD("fas-child", '\uf1ae'),
    CIRCLE("fas-circle", '\uf111'),
    CIRCLE_NOTCH("fas-circle-notch", '\uf1ce'),
    CLIPBOARD("fas-clipboard", '\uf328'),
    CLOCK("fas-clock", '\uf017'),
    CLONE("fas-clone", '\uf24d'),
    CLOSED_CAPTIONING("fas-closed-captioning", '\uf20a'),
    CLOUD("fas-cloud", '\uf0c2'),
    CLOUD_DOWNLOAD_ALT("fas-cloud-download-alt", '\uf381'),
    CLOUD_UPLOAD_ALT("fas-cloud-upload-alt", '\uf382'),
    CODE("fas-code", '\uf121'),
    CODE_BRANCH("fas-code-branch", '\uf126'),
    COFFEE("fas-coffee", '\uf0f4'),
    COG("fas-cog", '\uf013'),
    COGS("fas-cogs", '\uf085'),
    COLUMNS("fas-columns", '\uf0db'),
    COMMENT("fas-comment", '\uf075'),
    COMMENT_ALT("fas-comment-alt", '\uf27a'),
    COMMENTS("fas-comments", '\uf086'),
    COMPASS("fas-compass", '\uf14e'),
    COMPRESS("fas-compress", '\uf066'),
    COPY("fas-copy", '\uf0c5'),
    COPYRIGHT("fas-copyright", '\uf1f9'),
    CREDIT_CARD("fas-credit-card", '\uf09d'),
    CROP("fas-crop", '\uf125'),
    CROSSHAIRS("fas-crosshairs", '\uf05b'),
    CUBE("fas-cube", '\uf1b2'),
    CUBES("fas-cubes", '\uf1b3'),
    CUT("fas-cut", '\uf0c4'),
    DATABASE("fas-database", '\uf1c0'),
    DEAF("fas-deaf", '\uf2a4'),
    DESKTOP("fas-desktop", '\uf108'),
    DOLLAR_SIGN("fas-dollar-sign", '\uf155'),
    DOT_CIRCLE("fas-dot-circle", '\uf192'),
    DOWNLOAD("fas-download", '\uf019'),
    EDIT("fas-edit", '\uf044'),
    EJECT("fas-eject", '\uf052'),
    ELLIPSIS_H("fas-ellipsis-h", '\uf141'),
    ELLIPSIS_V("fas-ellipsis-v", '\uf142'),
    ENVELOPE("fas-envelope", '\uf0e0'),
    ENVELOPE_OPEN("fas-envelope-open", '\uf2b6'),
    ENVELOPE_SQUARE("fas-envelope-square", '\uf199'),
    ERASER("fas-eraser", '\uf12d'),
    EURO_SIGN("fas-euro-sign", '\uf153'),
    EXCHANGE_ALT("fas-exchange-alt", '\uf362'),
    EXCLAMATION("fas-exclamation", '\uf12a'),
    EXCLAMATION_CIRCLE("fas-exclamation-circle", '\uf06a'),
    EXCLAMATION_TRIANGLE("fas-exclamation-triangle", '\uf071'),
    EXPAND("fas-expand", '\uf065'),
    EXPAND_ARROWS_ALT("fas-expand-arrows-alt", '\uf31e'),
    EXTERNAL_LINK_ALT("fas-external-link-alt", '\uf35d'),
    EXTERNAL_LINK_SQUARE_ALT("fas-external-link-square-alt", '\uf360'),
    EYE("fas-eye", '\uf06e'),
    EYE_DROPPER("fas-eye-dropper", '\uf1fb'),
    EYE_SLASH("fas-eye-slash", '\uf070'),
    FAST_BACKWARD("fas-fast-backward", '\uf049'),
    FAST_FORWARD("fas-fast-forward", '\uf050'),
    FAX("fas-fax", '\uf1ac'),
    FEMALE("fas-female", '\uf182'),
    FIGHTER_JET("fas-fighter-jet", '\uf0fb'),
    FILE("fas-file", '\uf15b'),
    FILE_ALT("fas-file-alt", '\uf15c'),
    FILE_ARCHIVE("fas-file-archive", '\uf1c6'),
    FILE_AUDIO("fas-file-audio", '\uf1c7'),
    FILE_CODE("fas-file-code", '\uf1c9'),
    FILE_EXCEL("fas-file-excel", '\uf1c3'),
    FILE_IMAGE("fas-file-image", '\uf1c5'),
    FILE_PDF("fas-file-pdf", '\uf1c1'),
    FILE_POWERPOINT("fas-file-powerpoint", '\uf1c4'),
    FILE_VIDEO("fas-file-video", '\uf1c8'),
    FILE_WORD("fas-file-word", '\uf1c2'),
    FILM("fas-film", '\uf008'),
    FILTER("fas-filter", '\uf0b0'),
    FIRE("fas-fire", '\uf06d'),
    FIRE_EXTINGUISHER("fas-fire-extinguisher", '\uf134'),
    FLAG("fas-flag", '\uf024'),
    FLAG_CHECKERED("fas-flag-checkered", '\uf11e'),
    FLASK("fas-flask", '\uf0c3'),
    FOLDER("fas-folder", '\uf07b'),
    FOLDER_OPEN("fas-folder-open", '\uf07c'),
    FONT("fas-font", '\uf031'),
    FORWARD("fas-forward", '\uf04e'),
    FROWN("fas-frown", '\uf119'),
    FUTBOL("fas-futbol", '\uf1e3'),
    GAMEPAD("fas-gamepad", '\uf11b'),
    GAVEL("fas-gavel", '\uf0e3'),
    GEM("fas-gem", '\uf3a5'),
    GENDERLESS("fas-genderless", '\uf22d'),
    GIFT("fas-gift", '\uf06b'),
    GLASS_MARTINI("fas-glass-martini", '\uf000'),
    GLOBE("fas-globe", '\uf0ac'),
    GRADUATION_CAP("fas-graduation-cap", '\uf19d'),
    H_SQUARE("fas-h-square", '\uf0fd'),
    HAND_LIZARD("fas-hand-lizard", '\uf258'),
    HAND_PAPER("fas-hand-paper", '\uf256'),
    HAND_PEACE("fas-hand-peace", '\uf25b'),
    HAND_POINT_DOWN("fas-hand-point-down", '\uf0a7'),
    HAND_POINT_LEFT("fas-hand-point-left", '\uf0a5'),
    HAND_POINT_RIGHT("fas-hand-point-right", '\uf0a4'),
    HAND_POINT_UP("fas-hand-point-up", '\uf0a6'),
    HAND_POINTER("fas-hand-pointer", '\uf25a'),
    HAND_ROCK("fas-hand-rock", '\uf255'),
    HAND_SCISSORS("fas-hand-scissors", '\uf257'),
    HAND_SPOCK("fas-hand-spock", '\uf259'),
    HANDSHAKE("fas-handshake", '\uf2b5'),
    HASHTAG("fas-hashtag", '\uf292'),
    HDD("fas-hdd", '\uf0a0'),
    HEADING("fas-heading", '\uf1dc'),
    HEADPHONES("fas-headphones", '\uf025'),
    HEART("fas-heart", '\uf004'),
    HEARTBEAT("fas-heartbeat", '\uf21e'),
    HISTORY("fas-history", '\uf1da'),
    HOME("fas-home", '\uf015'),
    HOSPITAL("fas-hospital", '\uf0f8'),
    HOURGLASS("fas-hourglass", '\uf254'),
    HOURGLASS_END("fas-hourglass-end", '\uf253'),
    HOURGLASS_HALF("fas-hourglass-half", '\uf252'),
    HOURGLASS_START("fas-hourglass-start", '\uf251'),
    I_CURSOR("fas-i-cursor", '\uf246'),
    ID_BADGE("fas-id-badge", '\uf2c1'),
    ID_CARD("fas-id-card", '\uf2c2'),
    IMAGE("fas-image", '\uf03e'),
    IMAGES("fas-images", '\uf302'),
    INBOX("fas-inbox", '\uf01c'),
    INDENT("fas-indent", '\uf03c'),
    INDUSTRY("fas-industry", '\uf275'),
    INFO("fas-info", '\uf129'),
    INFO_CIRCLE("fas-info-circle", '\uf05a'),
    ITALIC("fas-italic", '\uf033'),
    KEY("fas-key", '\uf084'),
    KEYBOARD("fas-keyboard", '\uf11c'),
    LANGUAGE("fas-language", '\uf1ab'),
    LAPTOP("fas-laptop", '\uf109'),
    LEAF("fas-leaf", '\uf06c'),
    LEMON("fas-lemon", '\uf094'),
    LEVEL_DOWN_ALT("fas-level-down-alt", '\uf3be'),
    LEVEL_UP_ALT("fas-level-up-alt", '\uf3bf'),
    LIFE_RING("fas-life-ring", '\uf1cd'),
    LIGHTBULB("fas-lightbulb", '\uf0eb'),
    LINK("fas-link", '\uf0c1'),
    LIRA_SIGN("fas-lira-sign", '\uf195'),
    LIST("fas-list", '\uf03a'),
    LIST_ALT("fas-list-alt", '\uf022'),
    LIST_OL("fas-list-ol", '\uf0cb'),
    LIST_UL("fas-list-ul", '\uf0ca'),
    LOCATION_ARROW("fas-location-arrow", '\uf124'),
    LOCK("fas-lock", '\uf023'),
    LOCK_OPEN("fas-lock-open", '\uf3c1'),
    LONG_ARROW_ALT_DOWN("fas-long-arrow-alt-down", '\uf309'),
    LONG_ARROW_ALT_LEFT("fas-long-arrow-alt-left", '\uf30a'),
    LONG_ARROW_ALT_RIGHT("fas-long-arrow-alt-right", '\uf30b'),
    LONG_ARROW_ALT_UP("fas-long-arrow-alt-up", '\uf30c'),
    LOW_VISION("fas-low-vision", '\uf2a8'),
    MAGIC("fas-magic", '\uf0d0'),
    MAGNET("fas-magnet", '\uf076'),
    MALE("fas-male", '\uf183'),
    MAP("fas-map", '\uf279'),
    MAP_MARKER("fas-map-marker", '\uf041'),
    MAP_MARKER_ALT("fas-map-marker-alt", '\uf3c5'),
    MAP_PIN("fas-map-pin", '\uf276'),
    MAP_SIGNS("fas-map-signs", '\uf277'),
    MARS("fas-mars", '\uf222'),
    MARS_DOUBLE("fas-mars-double", '\uf227'),
    MARS_STROKE("fas-mars-stroke", '\uf229'),
    MARS_STROKE_H("fas-mars-stroke-h", '\uf22b'),
    MARS_STROKE_V("fas-mars-stroke-v", '\uf22a'),
    MEDKIT("fas-medkit", '\uf0fa'),
    MEH("fas-meh", '\uf11a'),
    MERCURY("fas-mercury", '\uf223'),
    MICROCHIP("fas-microchip", '\uf2db'),
    MICROPHONE("fas-microphone", '\uf130'),
    MICROPHONE_SLASH("fas-microphone-slash", '\uf131'),
    MINUS("fas-minus", '\uf068'),
    MINUS_CIRCLE("fas-minus-circle", '\uf056'),
    MINUS_SQUARE("fas-minus-square", '\uf146'),
    MOBILE("fas-mobile", '\uf10b'),
    MOBILE_ALT("fas-mobile-alt", '\uf3cd'),
    MONEY_BILL_ALT("fas-money-bill-alt", '\uf3d1'),
    MOON("fas-moon", '\uf186'),
    MOTORCYCLE("fas-motorcycle", '\uf21c'),
    MOUSE_POINTER("fas-mouse-pointer", '\uf245'),
    MUSIC("fas-music", '\uf001'),
    NEUTER("fas-neuter", '\uf22c'),
    NEWSPAPER("fas-newspaper", '\uf1ea'),
    OBJECT_GROUP("fas-object-group", '\uf247'),
    OBJECT_UNGROUP("fas-object-ungroup", '\uf248'),
    OUTDENT("fas-outdent", '\uf03b'),
    PAINT_BRUSH("fas-paint-brush", '\uf1fc'),
    PAPER_PLANE("fas-paper-plane", '\uf1d8'),
    PAPERCLIP("fas-paperclip", '\uf0c6'),
    PARAGRAPH("fas-paragraph", '\uf1dd'),
    PASTE("fas-paste", '\uf0ea'),
    PAUSE("fas-pause", '\uf04c'),
    PAUSE_CIRCLE("fas-pause-circle", '\uf28b'),
    PAW("fas-paw", '\uf1b0'),
    PEN_SQUARE("fas-pen-square", '\uf14b'),
    PENCIL_ALT("fas-pencil-alt", '\uf303'),
    PERCENT("fas-percent", '\uf295'),
    PHONE("fas-phone", '\uf095'),
    PHONE_SQUARE("fas-phone-square", '\uf098'),
    PHONE_VOLUME("fas-phone-volume", '\uf2a0'),
    PLANE("fas-plane", '\uf072'),
    PLAY("fas-play", '\uf04b'),
    PLAY_CIRCLE("fas-play-circle", '\uf144'),
    PLUG("fas-plug", '\uf1e6'),
    PLUS("fas-plus", '\uf067'),
    PLUS_CIRCLE("fas-plus-circle", '\uf055'),
    PLUS_SQUARE("fas-plus-square", '\uf0fe'),
    PODCAST("fas-podcast", '\uf2ce'),
    POUND_SIGN("fas-pound-sign", '\uf154'),
    POWER_OFF("fas-power-off", '\uf011'),
    PRINT("fas-print", '\uf02f'),
    PUZZLE_PIECE("fas-puzzle-piece", '\uf12e'),
    QRCODE("fas-qrcode", '\uf029'),
    QUESTION("fas-question", '\uf128'),
    QUESTION_CIRCLE("fas-question-circle", '\uf059'),
    QUOTE_LEFT("fas-quote-left", '\uf10d'),
    QUOTE_RIGHT("fas-quote-right", '\uf10e'),
    RANDOM("fas-random", '\uf074'),
    RECYCLE("fas-recycle", '\uf1b8'),
    REDO("fas-redo", '\uf01e'),
    REDO_ALT("fas-redo-alt", '\uf2f9'),
    REGISTERED("fas-registered", '\uf25d'),
    REPLY("fas-reply", '\uf3e5'),
    REPLY_ALL("fas-reply-all", '\uf122'),
    RETWEET("fas-retweet", '\uf079'),
    ROAD("fas-road", '\uf018'),
    ROCKET("fas-rocket", '\uf135'),
    RSS("fas-rss", '\uf09e'),
    RSS_SQUARE("fas-rss-square", '\uf143'),
    RUBLE_SIGN("fas-ruble-sign", '\uf158'),
    RUPEE_SIGN("fas-rupee-sign", '\uf156'),
    SAVE("fas-save", '\uf0c7'),
    SEARCH("fas-search", '\uf002'),
    SEARCH_MINUS("fas-search-minus", '\uf010'),
    SEARCH_PLUS("fas-search-plus", '\uf00e'),
    SERVER("fas-server", '\uf233'),
    SHARE("fas-share", '\uf064'),
    SHARE_ALT("fas-share-alt", '\uf1e0'),
    SHARE_ALT_SQUARE("fas-share-alt-square", '\uf1e1'),
    SHARE_SQUARE("fas-share-square", '\uf14d'),
    SHEKEL_SIGN("fas-shekel-sign", '\uf20b'),
    SHIELD_ALT("fas-shield-alt", '\uf3ed'),
    SHIP("fas-ship", '\uf21a'),
    SHOPPING_BAG("fas-shopping-bag", '\uf290'),
    SHOPPING_BASKET("fas-shopping-basket", '\uf291'),
    SHOPPING_CART("fas-shopping-cart", '\uf07a'),
    SHOWER("fas-shower", '\uf2cc'),
    SIGN_IN_ALT("fas-sign-in-alt", '\uf2f6'),
    SIGN_LANGUAGE("fas-sign-language", '\uf2a7'),
    SIGN_OUT_ALT("fas-sign-out-alt", '\uf2f5'),
    SIGNAL("fas-signal", '\uf012'),
    SITEMAP("fas-sitemap", '\uf0e8'),
    SLIDERS_H("fas-sliders-h", '\uf1de'),
    SMILE("fas-smile", '\uf118'),
    SNOWFLAKE("fas-snowflake", '\uf2dc'),
    SORT("fas-sort", '\uf0dc'),
    SORT_ALPHA_DOWN("fas-sort-alpha-down", '\uf15d'),
    SORT_ALPHA_UP("fas-sort-alpha-up", '\uf15e'),
    SORT_AMOUNT_DOWN("fas-sort-amount-down", '\uf160'),
    SORT_AMOUNT_UP("fas-sort-amount-up", '\uf161'),
    SORT_DOWN("fas-sort-down", '\uf0dd'),
    SORT_NUMERIC_DOWN("fas-sort-numeric-down", '\uf162'),
    SORT_NUMERIC_UP("fas-sort-numeric-up", '\uf163'),
    SORT_UP("fas-sort-up", '\uf0de'),
    SPACE_SHUTTLE("fas-space-shuttle", '\uf197'),
    SPINNER("fas-spinner", '\uf110'),
    SQUARE("fas-square", '\uf0c8'),
    STAR("fas-star", '\uf005'),
    STAR_HALF("fas-star-half", '\uf089'),
    STEP_BACKWARD("fas-step-backward", '\uf048'),
    STEP_FORWARD("fas-step-forward", '\uf051'),
    STETHOSCOPE("fas-stethoscope", '\uf0f1'),
    STICKY_NOTE("fas-sticky-note", '\uf249'),
    STOP("fas-stop", '\uf04d'),
    STOP_CIRCLE("fas-stop-circle", '\uf28d'),
    STREET_VIEW("fas-street-view", '\uf21d'),
    STRIKETHROUGH("fas-strikethrough", '\uf0cc'),
    SUBSCRIPT("fas-subscript", '\uf12c'),
    SUBWAY("fas-subway", '\uf239'),
    SUITCASE("fas-suitcase", '\uf0f2'),
    SUN("fas-sun", '\uf185'),
    SUPERSCRIPT("fas-superscript", '\uf12b'),
    SYNC("fas-sync", '\uf021'),
    SYNC_ALT("fas-sync-alt", '\uf2f1'),
    TABLE("fas-table", '\uf0ce'),
    TABLET("fas-tablet", '\uf10a'),
    TABLET_ALT("fas-tablet-alt", '\uf3fa'),
    TACHOMETER_ALT("fas-tachometer-alt", '\uf3fd'),
    TAG("fas-tag", '\uf02b'),
    TAGS("fas-tags", '\uf02c'),
    TASKS("fas-tasks", '\uf0ae'),
    TAXI("fas-taxi", '\uf1ba'),
    TERMINAL("fas-terminal", '\uf120'),
    TEXT_HEIGHT("fas-text-height", '\uf034'),
    TEXT_WIDTH("fas-text-width", '\uf035'),
    TH("fas-th", '\uf00a'),
    TH_LARGE("fas-th-large", '\uf009'),
    TH_LIST("fas-th-list", '\uf00b'),
    THERMOMETER_EMPTY("fas-thermometer-empty", '\uf2cb'),
    THERMOMETER_FULL("fas-thermometer-full", '\uf2c7'),
    THERMOMETER_HALF("fas-thermometer-half", '\uf2c9'),
    THERMOMETER_QUARTER("fas-thermometer-quarter", '\uf2ca'),
    THERMOMETER_THREE_QUARTERS("fas-thermometer-three-quarters", '\uf2c8'),
    THUMBS_DOWN("fas-thumbs-down", '\uf165'),
    THUMBS_UP("fas-thumbs-up", '\uf164'),
    THUMBTACK("fas-thumbtack", '\uf08d'),
    TICKET_ALT("fas-ticket-alt", '\uf3ff'),
    TIMES("fas-times", '\uf00d'),
    TIMES_CIRCLE("fas-times-circle", '\uf057'),
    TINT("fas-tint", '\uf043'),
    TOGGLE_OFF("fas-toggle-off", '\uf204'),
    TOGGLE_ON("fas-toggle-on", '\uf205'),
    TRADEMARK("fas-trademark", '\uf25c'),
    TRAIN("fas-train", '\uf238'),
    TRANSGENDER("fas-transgender", '\uf224'),
    TRANSGENDER_ALT("fas-transgender-alt", '\uf225'),
    TRASH("fas-trash", '\uf1f8'),
    TRASH_ALT("fas-trash-alt", '\uf2ed'),
    TREE("fas-tree", '\uf1bb'),
    TROPHY("fas-trophy", '\uf091'),
    TRUCK("fas-truck", '\uf0d1'),
    TTY("fas-tty", '\uf1e4'),
    TV("fas-tv", '\uf26c'),
    UMBRELLA("fas-umbrella", '\uf0e9'),
    UNDERLINE("fas-underline", '\uf0cd'),
    UNDO("fas-undo", '\uf0e2'),
    UNDO_ALT("fas-undo-alt", '\uf2ea'),
    UNIVERSAL_ACCESS("fas-universal-access", '\uf29a'),
    UNIVERSITY("fas-university", '\uf19c'),
    UNLINK("fas-unlink", '\uf127'),
    UNLOCK("fas-unlock", '\uf09c'),
    UNLOCK_ALT("fas-unlock-alt", '\uf13e'),
    UPLOAD("fas-upload", '\uf093'),
    USER("fas-user", '\uf007'),
    USER_CIRCLE("fas-user-circle", '\uf2bd'),
    USER_MD("fas-user-md", '\uf0f0'),
    USER_PLUS("fas-user-plus", '\uf234'),
    USER_SECRET("fas-user-secret", '\uf21b'),
    USER_TIMES("fas-user-times", '\uf235'),
    USERS("fas-users", '\uf0c0'),
    UTENSIL_SPOON("fas-utensil-spoon", '\uf2e5'),
    UTENSILS("fas-utensils", '\uf2e7'),
    VENUS("fas-venus", '\uf221'),
    VENUS_DOUBLE("fas-venus-double", '\uf226'),
    VENUS_MARS("fas-venus-mars", '\uf228'),
    VIDEO("fas-video", '\uf03d'),
    VOLUME_DOWN("fas-volume-down", '\uf027'),
    VOLUME_OFF("fas-volume-off", '\uf026'),
    VOLUME_UP("fas-volume-up", '\uf028'),
    WHEELCHAIR("fas-wheelchair", '\uf193'),
    WIFI("fas-wifi", '\uf1eb'),
    WINDOW_CLOSE("fas-window-close", '\uf410'),
    WINDOW_MAXIMIZE("fas-window-maximize", '\uf2d0'),
    WINDOW_MINIMIZE("fas-window-minimize", '\uf2d1'),
    WINDOW_RESTORE("fas-window-restore", '\uf2d2'),
    WON_SIGN("fas-won-sign", '\uf159'),
    WRENCH("fas-wrench", '\uf0ad'),
    YEN_SIGN("fas-yen-sign", '\uf157');

    public static FontAwesomeSolid findByDescription(String description) {
        for (FontAwesomeSolid font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    FontAwesomeSolid(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}